:root {
    --padding: 10px;
    --font-size: 16px;
    --font-height: 22px;
    --img-width: 900px;
    --margin-bottom: 100px;
}
body {
    transition: opacity 0.3s ease;
    opacity: 1 !important;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
html {
    scroll-behavior: smooth;
    font-size: var(--font-size);
    line-height: var(--font-height);
    font-weight: 400;
}
body {
    font-family: "Inter Tight", sans-serif;
}
div,
footer,
header {
    background-color: #fff;
}
h1,
h2,
h3,
h4,
h5 {
    font-weight: 400;
    text-align: left;
}
h1,
h2,
h3 {
    font-size: var(--font-size);
    line-height: var(--font-height);
    font-weight: 400;
    margin-bottom: 0.3em;
}
img {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0;
}
p {
    font-size: var(--font-size);
    line-height: var(--font-height);
    font-weight: 400;
}
a {
    font-size: var(--font-size);
    line-height: var(--font-height);
    font-weight: 400;
    text-decoration: none;
    color: #000;
}

.contenitore {
    display: block;
    position: relative;
    min-height: 500px;
}
.grid1 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 100%;
}
.grid2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 100px;
/*    align-items: stretch;
    justify-items: stretch;*/
}

.grid2-intestazione {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
/*    align-items: stretch;
    justify-items: stretch;*/
}
.grid2-footer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
}
.grid3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.grid1,
.grid2,
.grid2_intestazione,
.grid3 {
    grid-gap: var(--padding);
    padding-right: var(--padding);
    padding-left: var(--padding);
    margin-bottom: var(--padding);
}
.img {
    display: flex;
    width: 100%;
    height: auto;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    align-items: flex-end;
    justify-content: flex-end;
    background-color: #fff;
    padding: calc(var(--padding) * 5);
    flex-direction: column;
}
.logo {
    font-size: 1.4em;
    padding-top: var(--padding);
    padding-bottom: var(--padding);
    font-weight: 400;
    background-color: #fff;
}
.menu {
    display: flex;
    width: 100%;
    justify-content: flex-start;
    align-items: center;
    background-color: #fff;
    padding-left: 0;
}
.menu a {
    padding-right: 25px;
    background-color: transparent;
}
.testo {
    display: flex;
    padding: 0;
    font-size: 1.8em;
    height: 100%;
    align-items: flex-start;
    max-width: 510px;
    flex-direction: column;
}
.testo p {
    line-height: 1.3em;
}
.clients {
    align-items: flex-start;
}
.contact1,
.contact2,
.contact3 {
    align-items: center;
    height: 240px;
}
.contact1 {
    margin-top: 50px;
}
.sinistra {
    text-align: left;
    padding-left: 10px;
}
.destra {
    text-align: right;
    padding-right: 10px;
}
.link {
    text-decoration: underline;
    font-weight: 500;
}
.medium {
    font-weight: 400;
}
.bold {
    font-weight: 600;
}
.footer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 10px;
    width: 99vw;
}

.mt-25 {
    margin-top: 25px;
}
.mb-25 {
    margin-bottom: 25px;
}
.mt-50 {
    margin-top: 50px;
}
.mb-50 {
    margin-bottom: 50px;
}
.mt-75 {
    margin-top: 75px;
}
.mb-75 {
    margin-bottom: 75px;
}
.mt-100 {
    margin-top: 100px;
}
.mb-100 {
    margin-bottom: 100px;
}
.mb-150 {
    margin-bottom: 150px;
}
.mb-10 {
    margin-bottom: 10px;
}
.ml-50{
    margin-left: 50px;
}
.testo p {
    font-size: calc(var(--font-size) * 1);
    line-height: calc(var(--font-height) * 1);
}
.orizzontale {
    max-width: calc(var(--img-width) * 1.8);
    margin-left: auto;
    margin-right: auto;
}
.verticale {
    max-width: var(--img-width);
    margin-left: auto;
    margin-right: auto;
}
.social {
    position: fixed;
    bottom: 10px;
}
a.over:hover {
    text-decoration: underline;
}
.mr-var {
    padding-right: var(--padding);
}
.dida {
    display: none;
}
.logomela {
    max-width: 250px;
    height: auto;
    padding: 10px;
}
#contatti {
    /* margin-top: 100px; */
}
/*@media all and (min-width: 2760px) {
    .grid3 {
        grid-template-columns: repeat(6, 1fr);
    }

}
@media all and (min-width: 2201px) {
    .grid3 {
        grid-template-columns: repeat(5, 1fr);
    }
}
@media all and (max-width: 2200px) {
    .grid3 {
        grid-template-columns: repeat(4, 1fr);
    }
}*/
@media all and (max-width: 1023px) {
    :root {
        --font-size: 16px;
        --font-height: 22px;
    }
    #contatti {
        grid-template-columns: repeat(2, 1fr);
    }
    .testo {
        padding-right: 0;
        grid-column: auto/2 span;
        max-width: 100%;
    }
    .footer {
        position: relative;
        bottom: 20px;
    }
    .contact1,
    .contact2,
    .contact3 {
        height: 240px;
    }
    .contact3 {
        margin-bottom: 100px;
    }
    .orizzontale,
    .verticale {
        margin: 0;
    }

    .ml-50{
        margin-left: 0px;
    }

    .logomela {
        max-width: 250px;
        height: auto;
        padding: 10px;
    }
    .grid3 {
        grid-template-columns: repeat(1, 1fr);
    }
    .grid2{
        grid-template-columns: repeat(1, 1fr);
    }
    .grid2-intestazione {
        grid-template-columns: repeat(2, 1fr);
    }
    .menu {
        padding: var(--padding);
        justify-content: flex-end;
        margin-right: -25px;
    }
    .mt-100{
        margin-top: 50px;
    }
    .mb-100{
        margin-bottom: 50px;
    }
    .ml-50{
        margin-left: 0px;
    }
    img{
        grid-column: auto/2 span;
        max-width: 100%;
        padding: 0px;
    }

}
@media all and (max-width: 767px) {
    :root {
        --margin-bottom: 50px;
    }
    .logo,
    .testo {
        grid-column: auto/2 span;
    }
    .logo {
        text-align: center;
    }
    .testo {
        grid-column: auto/2 span;
        max-width: 100%;
    }
    .vuoto {
        display: none;
    }
    .grid3 {
        grid-template-columns: repeat(2, 1fr);
    }
        .grid2-intestazione {
        grid-template-columns: repeat(1, 1fr);
    }
    .logomela {
        max-width: 100%;
        height: auto;
        padding: 5px;
    }
    .mt-100{
        margin-top: 50px;
    }
    .mb-100{
        margin-bottom: 50px;
    }
    .ml-50{
        margin-left: 0px;
    }
}
@media all and (max-width: 520px) {
    :root {
        --margin-bottom: 50px;
        --font-size: 18px;
        --font-height: 24px;
    }
    #contatti {
        margin-top: 10px;
    }
    .logo,
    .testo {
        grid-column: auto/2 span;
    }
    .testo {
        max-width: 100%;
        padding-right: 0;
        margin-right: 0;
    }
    .logo {
        text-align: center;
        font-size: 2em;
        width: 100%;
        padding-bottom: 0;
        padding-top: 0;
        margin-top: 10px;
        background-color: transparent;
    }
    .menu {
        width: 100%;
        height: 30px;
        padding-top: 0px;
        padding-bottom: 20px;
        padding-left: var(--padding);
        padding-right: 0px;
        margin: 0;
        justify-content: space-evenly;
        align-items: center;
        background-color: transparent;
    }
    .menu a {
        padding-right: 10px;
        padding-top: 5px;
    }
    .vuoto {
        display: none;
    }
    .img {
        padding: calc(var(--padding) * 1);
        box-sizing: border-box;
    }
    .destra {
        margin-right: 5px;
    }
    .clients {
        align-items: center;
    }
    .about {
        margin-top: 50px;
    }
    .footer {
        bottom: 10px;
    }
    .contact2 {
        margin-right: 50px;
    }
    .grid2,
    .grid3 {
        grid-template-columns: repeat(1, 1fr);
    }
    .logomela {
        max-width: 95%;
        height: auto;
        padding: 10px;
    }
    .verticale{
        padding: 0px;
        margin: 0px;
        width: 95vw;
        height: auto;
    }
    .mt-100{
        margin-top: 50px;
    }
    .mb-100{
        margin-bottom: 50px;
    }
    .ml-50{
        margin-left: 0px;
    }
}
